Debian Bug report logs - #597953
ruby1.9.1: segfaults on a number of sisu operations

version graph

Package: ruby1.9.1; Maintainer for ruby1.9.1 is Antonio Terceiro <terceiro@debian.org>; Source for ruby1.9.1 is src:ruby1.9.1.

Reported by: Ralph Amissah <ralph.amissah@gmail.com>

Date: Fri, 24 Sep 2010 14:18:02 UTC

Severity: important

Tags: upstream

Found in version ruby1.9.1/1.9.2.0-1

Fixed in version 1.9.2.180-1

Done: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#597953; Package ruby1.9.1. (Fri, 24 Sep 2010 14:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralph Amissah <ralph.amissah@gmail.com>:
New Bug report received and forwarded. Copy sent to akira yamada <akira@debian.org>. (Fri, 24 Sep 2010 14:18:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ralph Amissah <ralph.amissah@gmail.com>
To: submit@bugs.debian.org
Cc: "sisu@lists.sisudoc.org" <sisu@lists.sisudoc.org>
Subject: ruby1.9.1: segfaults on a number of sisu operations
Date: Fri, 24 Sep 2010 10:09:39 -0400
Package: ruby1.9.1
Version: 1.9.2.0-1
Severity: important
Tags: upstream

*** Please type your report below this line ***

ruby1.9.2 segfaults running sisu (with a number of sisu options), that do not
occur with ruby1.8.7, ruby1.9.0 or ruby1.9.1 (which I had to install separately
to verify). This is not just the case with the current version of sisu but with
previous versions as well. (it is possible that sisu needs some re-coding to be
ruby1.9.2 compliant, but more graceful bug handling from ruby is expected)

for example, using the markup-sample
free_as_in_freedom.richard_stallman_crusade_for_free_software.sam_williams.sst
provided in the package data/doc/sisu/v2/markup-samples/samples installed to
/usr/share/doc/sisu/v2/markup-samples/samples/

* these work in ruby1.8.7, ruby1.9.0 and ruby1.9.1 but segfault in ruby1.9.2
  [BUG] Segmentation fault

  first change directory to the directory in which the sample is located, then
  using the version of sisu in testing or sid, type

sisu --html \
free_as_in_freedom.richard_stallman_crusade_for_free_software.sam_williams.sst

any combination using the --verbose option fails

sisu --txt --verbose \
free_as_in_freedom.richard_stallman_crusade_for_free_software.sam_williams.sst

likewise

sisu -N \
free_as_in_freedom.richard_stallman_crusade_for_free_software.sam_williams.sst

There are likely others.

# the following sisu options work (in all four: ruby1.8.7, ruby1.9.1 and
# ruby1.9.2) (without the --verbose option):
# 
# sisu -wepotbxXy \
# free_as_in_freedom.richard_stallman_crusade_for_free_software.sam_williams.sst
# 
# sisu --txt --epub --pdf --odt --concordance --xhtml --xml-sax --xml-dom \
# --manifest \
# free_as_in_freedom.richard_stallman_crusade_for_free_software.sam_williams.sst

however things may be getting worse rather than better upstream with ruby as a
test on (a separate debian box with the manual installation of) ruby 1.9.2p0
(2010-08-18 revision 29036) [i686 linux], failed segfaulted on the first test
passed to it

sisu --txt \
free_as_in_freedom.richard_stallman_crusade_for_free_software.sam_williams.sst

in earlier versions of sisu the equivalent of

sisu -a \
free_as_in_freedom.richard_stallman_crusade_for_free_software.sam_williams.sst

which does not happen with the version of ruby 1.9.2p0 (2010-08-18 revision
29036) [i486-linux] on unstable.

I have a Sid box, it is likely to be the same in testing, please confirm
otherwise.

Thanks,
Ralph Amissah

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages ruby1.9.1 depends on:
ii  libc6                         2.11.2-6   Embedded GNU C Library: Shared lib
ii  libruby1.9.1                  1.9.2.0-1  Libraries necessary to run Ruby 1.

ruby1.9.1 recommends no packages.

Versions of packages ruby1.9.1 suggests:
pn  graphviz                      <none>     (no description available)
ii  ri1.9.1                       1.9.2.0-1  Ruby Interactive reference (for Ru
ii  ruby1.9.1-examples            1.9.2.0-1  Examples for Ruby 1.9

-- no debconf information






Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#597953; Package ruby1.9.1. (Mon, 28 Feb 2011 20:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralph Amissah <ralph.amissah@gmail.com>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. (Mon, 28 Feb 2011 20:09:06 GMT) Full text and rfc822 format available.

Message #10 received at 597953@bugs.debian.org (full text, mbox):

From: Ralph Amissah <ralph.amissah@gmail.com>
To: 597953@bugs.debian.org
Cc: "sisu@lists.sisudoc.org" <sisu@lists.sisudoc.org>
Subject: Re: ruby1.9.1: segfaults on a number of sisu operations
Date: Mon, 28 Feb 2011 15:04:55 -0500
[Message part 1 (text/plain, inline)]
Fixed upstream ruby1.9.2p180

I have done a little testing with RVM (Ruby Version Manager) and more
recent versions of ruby1.9.2 (ruby1.9.2p180), and can report that the
segfault problems appear to be fixed in upstream builds of ruby.

This bug was present in earlier upstream builds of ruby1.9.2, though I
am not certain with which build the issues reported here were cured.
One of the problems appears at least to have been with the new garbage
collector. But there were quite likely others.

Anyhow, I hope this is the case (re: the fix), and look forward to
developing for ruby1.9.2 on Debian soon :)

Thanks,
Ralph Amissah

P.S. for sisulist cc. note that ruby1.9.1 branch in Debian is currently
ruby1.9.2p0 (and the same in Squeeze). Debian bug report at:
<http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=597953>

-- 
Ralph Amissah (ralph on irc.oftc.net)
GPG fp: A5F9 C48C 4059 B688 6CC5  7A42 6F78 18A9 B98F 62B1 *
GPG fp: 9267 6F8D E64B CD4B 4880  482E E4AF EBC6 1BB4 B289
[signature.asc (application/pgp-signature, inline)]

Information forwarded to akira yamada <akira@debian.org>:
Bug#597953; Package ruby1.9.1. (Wed, 02 Mar 2011 02:39:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralph Amissah <ralph.amissah@gmail.com>:
Extra info received and forwarded to maintainer. Copy sent to akira yamada <akira@debian.org>. (Wed, 02 Mar 2011 02:39:10 GMT) Full text and rfc822 format available.

Message #15 received at 597953-maintonly@bugs.debian.org (full text, mbox):

From: Ralph Amissah <ralph.amissah@gmail.com>
To: 597953-maintonly@bugs.debian.org
Subject: Re: ruby1.9.1: segfaults on a number of sisu operations
Date: Tue, 1 Mar 2011 21:34:21 -0500
[Message part 1 (text/plain, inline)]
Thank you. That was quick, (ruby1.9.2p180 is in Debian unstable).

It appears to resolve the issues filed under this bug report.

Please feel free to close this bug.

Again thank you,
ralph

-- 
Ralph Amissah (ralph on irc.oftc.net)
GPG fp: A5F9 C48C 4059 B688 6CC5  7A42 6F78 18A9 B98F 62B1 *
GPG fp: 9267 6F8D E64B CD4B 4880  482E E4AF EBC6 1BB4 B289
[signature.asc (application/pgp-signature, inline)]

Reply sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
You have taken responsibility. (Tue, 03 May 2011 14:27:04 GMT) Full text and rfc822 format available.

Notification sent to Ralph Amissah <ralph.amissah@gmail.com>:
Bug acknowledged by developer. (Tue, 03 May 2011 14:27:04 GMT) Full text and rfc822 format available.

Message #20 received at 597953-done@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: 597953-done@bugs.debian.org
Subject: Re: Bug#597953: ruby1.9.1: segfaults on a number of sisu operations
Date: Tue, 3 May 2011 16:25:01 +0200
Version: 1.9.2.180-1




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 01 Jun 2011 07:37:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:27:06 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.